/*
 * VITAL-5G vertical service LCM
 * VITAL-5G vertical service LCM
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.vslcm.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * ModifyVsRequest
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-28T17:21:04.003Z[GMT]")
public class ModifyVsRequest {
  @SerializedName("tenantId")
  private String tenantId = null;

  @SerializedName("vsdId")
  private String vsdId = null;

  @SerializedName("vsiId")
  private String vsiId = null;

  public ModifyVsRequest tenantId(String tenantId) {
    this.tenantId = tenantId;
    return this;
  }

   /**
   * Get tenantId
   * @return tenantId
  **/
  @Schema(description = "")
  public String getTenantId() {
    return tenantId;
  }

  public void setTenantId(String tenantId) {
    this.tenantId = tenantId;
  }

  public ModifyVsRequest vsdId(String vsdId) {
    this.vsdId = vsdId;
    return this;
  }

   /**
   * Get vsdId
   * @return vsdId
  **/
  @Schema(description = "")
  public String getVsdId() {
    return vsdId;
  }

  public void setVsdId(String vsdId) {
    this.vsdId = vsdId;
  }

  public ModifyVsRequest vsiId(String vsiId) {
    this.vsiId = vsiId;
    return this;
  }

   /**
   * Get vsiId
   * @return vsiId
  **/
  @Schema(description = "")
  public String getVsiId() {
    return vsiId;
  }

  public void setVsiId(String vsiId) {
    this.vsiId = vsiId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyVsRequest modifyVsRequest = (ModifyVsRequest) o;
    return Objects.equals(this.tenantId, modifyVsRequest.tenantId) &&
        Objects.equals(this.vsdId, modifyVsRequest.vsdId) &&
        Objects.equals(this.vsiId, modifyVsRequest.vsiId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(tenantId, vsdId, vsiId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyVsRequest {\n");
    
    sb.append("    tenantId: ").append(toIndentedString(tenantId)).append("\n");
    sb.append("    vsdId: ").append(toIndentedString(vsdId)).append("\n");
    sb.append("    vsiId: ").append(toIndentedString(vsiId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
